{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function msg\r\n$insert msg_equates\r\n\r\nThickUnif = .thick_unif->text\r\nThickTar  = .thick_tar->text\r\nconvert @upper_case to '' in ThickUnif\r\nconvert @lower_case to '' in ThickUnif\r\nconvert '~!@#$%^&*()_+=-`\\][|}{;/.,?><\":' to '' in ThickUnif\r\nconvert \"'\" to '' in ThickUnif\r\nif num( ThickUnif ) and ThickTar then\r\n   NewMin = ''\r\n   NewMax = ''\r\n   ThickUnif = oconv( ThickUnif, 'MD2' )\r\n   PercentOfTar = ThickTar*ThickUnif\r\n   NewMin = ThickTar-PercentOfTar\r\n   NewMax = ThickTar+PercentOfTar\r\n   .thick_min->text = oconv( NewMin*100, 'MD2' )\r\n   .thick_max->text = oconv( NewMax*100, 'MD2' )\r\nend else\r\n   MsgInfo = ''\r\n   MsgInfo<mtext$> = 'You must enter a target and uniformity in order to calculate the minimun and maximum thickness'\r\n   MsgInfo<micon$> = 'H'\r\n   Void = msg( '', MsgInfo )\r\nend\r\n\r\nRETURN 0"
        }
    }
}